package models

import (

	"go-admin/common/models"

)

type LineOrderTemplateLogs struct {
    models.Model
    
    Name string `json:"name" gorm:"type:varchar(255);comment:模板名称"` 
    UserId int64 `json:"userId" gorm:"type:int;comment:用户id"` 
    Params string `json:"params" gorm:"type:text;comment:参数"` 
    Type int64 `json:"type" gorm:"type:int unsigned;comment:模板类型:1=单独添加;2=批量添加"` 
    Switch string `json:"switch" gorm:"type:enum('0','1');comment:开关:0=关,1=开"` 
    models.ModelTime
    models.ControlBy
}

func (LineOrderTemplateLogs) TableName() string {
    return "line_order_template_logs"
}

func (e *LineOrderTemplateLogs) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineOrderTemplateLogs) GetId() interface{} {
	return e.Id
}